Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Importación de CardView y RecyclerView (Android 5.0) en mi proyecto existente (eclipse)

Quiero importar CardView y RecyclerView en mi proyecto existente. Estoy usando ECLIPSE. He leído otras respuestas en stackoverflow, pero todas ellas son para Android Studio. Ve ¿Puede alguien por favor ayudarme?

El error que estoy recibiendo es: CardView no puede ser resuelto a un tipo.

Actualización: Commonwares respuesta me ayudó a resolver esto. Pero ahora tengo otro error. (Error al inflar la clase y android.support.v7.widget.CardView). Por favor, alguien me ayude.

6 Solutions collect form web for “Importación de CardView y RecyclerView (Android 5.0) en mi proyecto existente (eclipse)”

También están disponibles como proyectos de la biblioteca de Android ahora, en extras/android/support/v7/ de su instalación de SDK. Realice una copia de esos proyectos en otro lugar de su disco duro, importelos en Eclipse y, a continuación, haga referencia a ellos como bibliotecas de la aplicación siguiendo las instrucciones de la documentación .

En la actualidad, para obtener el recyclerVer primero descarga desde el administrador de sdk el repositorio de soporte de Android en la sección "Extras" Después de eso, necesita importar todas las bibliotecas desde aquí (a partir de su ruta de la carpeta sdk):

 sdk\extras\android\m2repository\com\android\support 

Introduzca aquí la descripción de la imagen

Añadiendo android-support-v7-recyclerview.jar de la carpeta: sdk\extras\android\support\v7\recyclerview\libs a las bibliotecas resolvió mi problema.

Para RecyclerView puedo ejecutar simplemente agregando el archivo jar de reciclador obtenido de la carpeta libs de reciclador dentro de la carpeta de soporte v7 para cardview, lo importé como un proyecto android, lo hice como una biblioteca y agregado a mi proyecto. La interfaz de usuario en mi androide funcionó perfecto para la primera ejecución, pero ahora muestra error en el editor de interfaz de usuario, pero se ejecuta perfectamente en el emulador. Espero eso ayude

Agrega appcompat-v7.jar a tus libs. Este problema se resolverá.

Finalmente, resolví mi problema.

… / sdk / extras / android / support / v7 /

 >appcompat >libs >android-support-v4.jar >android-support-v7-appcompat.jar >cardview >libs >android-support-v7-cardview.jar >gridlayout >libs >android-support-v7-gridlayout.jar >mediarouter >libs >android-support-v7-mediarouter.jar >palette >libs >android-support-v7-palette.jar >recyclerview >libs >android-support-v7-recyclerview.jar 

Copie todos los archivos jar anteriores a las librerías de su proyecto y utilice este android-support-v4.jar arriba en lugar del suyo

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.